[android-components](../../index.md) / [mozilla.components.lib.dataprotect](../index.md) / [Keystore](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`Keystore(label: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, manual: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)` = false, wrapper: `[`KeyStoreWrapper`](../-key-store-wrapper/index.md)` = KeyStoreWrapper())`

Creates a new instance around a key identified by the given label

Unless `manual` is `true`, the key is created if not already present in the
platform's key storage.

**Constructor**

Creates a new instance around a key identified by the given label



Unless `manual` is `true`, the key is created if not already present in the
platform's key storage.

